Index: uspace/drv/bus/usb/ohci/hc.c
===================================================================
--- uspace/drv/bus/usb/ohci/hc.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/hc.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -91,6 +91,6 @@
 static void hc_gain_control(hc_t *instance);
 static void hc_start(hc_t *instance);
-static errno_t hc_init_transfer_lists(hc_t *instance);
-static errno_t hc_init_memory(hc_t *instance);
+static int hc_init_transfer_lists(hc_t *instance);
+static int hc_init_memory(hc_t *instance);
 
 /** Generate IRQ code.
@@ -103,5 +103,5 @@
  * @return Error code.
  */
-errno_t ohci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res, int *irq)
+int ohci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res)
 {
 	assert(code);
@@ -141,6 +141,5 @@
 	    RNGABSPTR(regs), RNGSZ(regs), hw_res->irqs.irqs[0]);
 
-	*irq = hw_res->irqs.irqs[0];
-	return EOK;
+	return hw_res->irqs.irqs[0];
 }
 
@@ -152,5 +151,5 @@
  * @return Error code
  */
-errno_t hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts)
+int hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts)
 {
 	assert(instance);
@@ -160,5 +159,5 @@
 	    return EINVAL;
 
-	errno_t ret = pio_enable_range(&hw_res->mem_ranges.ranges[0],
+	int ret = pio_enable_range(&hw_res->mem_ranges.ranges[0],
 	    (void **) &instance->registers);
 	if (ret != EOK) {
@@ -269,5 +268,5 @@
 }
 
-errno_t ohci_hc_status(hcd_t *hcd, uint32_t *status)
+int ohci_hc_status(hcd_t *hcd, uint32_t *status)
 {
 	assert(hcd);
@@ -289,5 +288,5 @@
  * @return Error code.
  */
-errno_t ohci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch)
+int ohci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch)
 {
 	assert(hcd);
@@ -518,5 +517,5 @@
  * @return Error code
  */
-errno_t hc_init_transfer_lists(hc_t *instance)
+int hc_init_transfer_lists(hc_t *instance)
 {
 	assert(instance);
@@ -524,5 +523,5 @@
 do { \
 	const char *name = usb_str_transfer_type(type); \
-	const errno_t ret = endpoint_list_init(&instance->lists[type], name); \
+	const int ret = endpoint_list_init(&instance->lists[type], name); \
 	if (ret != EOK) { \
 		usb_log_error("Failed to setup %s endpoint list: %s.\n", \
@@ -552,5 +551,5 @@
  * @return Error code.
  */
-errno_t hc_init_memory(hc_t *instance)
+int hc_init_memory(hc_t *instance)
 {
 	assert(instance);
@@ -558,5 +557,5 @@
 	memset(&instance->rh, 0, sizeof(instance->rh));
 	/* Init queues */
-	const errno_t ret = hc_init_transfer_lists(instance);
+	const int ret = hc_init_transfer_lists(instance);
 	if (ret != EOK) {
 		return ret;
Index: uspace/drv/bus/usb/ohci/hc.h
===================================================================
--- uspace/drv/bus/usb/ohci/hc.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/hc.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -80,5 +80,5 @@
 } hc_t;
 
-extern errno_t hc_init(hc_t *, const hw_res_list_parsed_t *, bool);
+extern int hc_init(hc_t *, const hw_res_list_parsed_t *, bool);
 extern void hc_fini(hc_t *);
 
@@ -86,9 +86,9 @@
 extern void hc_dequeue_endpoint(hc_t *, const endpoint_t *);
 
-errno_t ohci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res, int *irq);
+int ohci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res);
 
 extern void ohci_hc_interrupt(hcd_t *, uint32_t);
-extern errno_t ohci_hc_status(hcd_t *, uint32_t *);
-extern errno_t ohci_hc_schedule(hcd_t *, usb_transfer_batch_t *);
+extern int ohci_hc_status(hcd_t *, uint32_t *);
+extern int ohci_hc_schedule(hcd_t *, usb_transfer_batch_t *);
 
 #endif
Index: uspace/drv/bus/usb/ohci/hw_struct/completion_codes.h
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/completion_codes.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/hw_struct/completion_codes.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,5 +54,5 @@
 };
 
-inline static errno_t cc_to_rc(unsigned int cc)
+inline static unsigned int cc_to_rc(unsigned int cc)
 {
 	switch (cc) {
Index: uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -119,5 +119,5 @@
  * @return Error code.
  */
-static inline errno_t td_error(const td_t *instance)
+static inline int td_error(const td_t *instance)
 {
 	assert(instance);
Index: uspace/drv/bus/usb/ohci/main.c
===================================================================
--- uspace/drv/bus/usb/ohci/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,5 +47,5 @@
 
 #define NAME "ohci"
-static errno_t ohci_driver_init(hcd_t *, const hw_res_list_parsed_t *, bool);
+static int ohci_driver_init(hcd_t *, const hw_res_list_parsed_t *, bool);
 static void ohci_driver_fini(hcd_t *);
 
@@ -66,5 +66,5 @@
 
 
-static errno_t ohci_driver_init(hcd_t *hcd, const hw_res_list_parsed_t *res, bool irq)
+static int ohci_driver_init(hcd_t *hcd, const hw_res_list_parsed_t *res, bool irq)
 {
 	assert(hcd);
@@ -75,5 +75,5 @@
 		return ENOMEM;
 
-	const errno_t ret = hc_init(instance, res, irq);
+	const int ret = hc_init(instance, res, irq);
 	if (ret == EOK) {
 		hcd_set_implementation(hcd, instance, &ohci_hc_driver.ops);
@@ -100,5 +100,5 @@
  * @return Error code.
  */
-static errno_t ohci_dev_add(ddf_dev_t *device)
+static int ohci_dev_add(ddf_dev_t *device)
 {
 	usb_log_debug("ohci_dev_add() called\n");
Index: uspace/drv/bus/usb/ohci/ohci_endpoint.c
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_endpoint.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/ohci_endpoint.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -72,5 +72,5 @@
  * @return Error code.
  */
-errno_t ohci_endpoint_init(hcd_t *hcd, endpoint_t *ep)
+int ohci_endpoint_init(hcd_t *hcd, endpoint_t *ep)
 {
 	assert(ep);
Index: uspace/drv/bus/usb/ohci/ohci_endpoint.h
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_endpoint.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/ohci_endpoint.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -53,5 +53,5 @@
 } ohci_endpoint_t;
 
-errno_t ohci_endpoint_init(hcd_t *hcd, endpoint_t *ep);
+int ohci_endpoint_init(hcd_t *hcd, endpoint_t *ep);
 void ohci_endpoint_fini(hcd_t *hcd, endpoint_t *ep);
 
Index: uspace/drv/bus/usb/ohci/ohci_rh.c
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_rh.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/ohci_rh.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -109,5 +109,5 @@
  * initializes internal virtual hub.
  */
-errno_t ohci_rh_init(ohci_rh_t *instance, ohci_regs_t *regs, const char *name)
+int ohci_rh_init(ohci_rh_t *instance, ohci_regs_t *regs, const char *name)
 {
 	assert(instance);
@@ -174,5 +174,5 @@
  * status change requests might be postponed until there is something to report.
  */
-errno_t ohci_rh_schedule(ohci_rh_t *instance, usb_transfer_batch_t *batch)
+int ohci_rh_schedule(ohci_rh_t *instance, usb_transfer_batch_t *batch)
 {
 	assert(instance);
@@ -205,5 +205,5 @@
  * processing of a postponed request.
  */
-errno_t ohci_rh_interrupt(ohci_rh_t *instance)
+int ohci_rh_interrupt(ohci_rh_t *instance)
 {
 	//TODO atomic swap needed
@@ -245,5 +245,5 @@
  * @return Error code.
  */
-static errno_t req_get_status(usbvirt_device_t *device,
+static int req_get_status(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -268,5 +268,5 @@
  * @return Error code.
  */
-static errno_t req_clear_hub_feature(usbvirt_device_t *device,
+static int req_clear_hub_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -298,5 +298,5 @@
  * @return Error code.
  */
-static errno_t req_get_port_status(usbvirt_device_t *device,
+static int req_get_port_status(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -322,5 +322,5 @@
  * @return Error code.
  */
-static errno_t req_clear_port_feature(usbvirt_device_t *device,
+static int req_clear_port_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -386,5 +386,5 @@
  * @return Error code.
  */
-static errno_t req_set_port_feature(usbvirt_device_t *device,
+static int req_set_port_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -437,5 +437,5 @@
  * only need 1 byte.
  */
-static errno_t req_status_change_handler(usbvirt_device_t *device,
+static int req_status_change_handler(usbvirt_device_t *device,
     usb_endpoint_t endpoint, usb_transfer_type_t tr_type,
     void *buffer, size_t buffer_size, size_t *actual_size)
Index: uspace/drv/bus/usb/ohci/ohci_rh.h
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_rh.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/ohci_rh.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -65,7 +65,7 @@
 } ohci_rh_t;
 
-errno_t ohci_rh_init(ohci_rh_t *instance, ohci_regs_t *regs, const char *name);
-errno_t ohci_rh_schedule(ohci_rh_t *instance, usb_transfer_batch_t *batch);
-errno_t ohci_rh_interrupt(ohci_rh_t *instance);
+int ohci_rh_init(ohci_rh_t *instance, ohci_regs_t *regs, const char *name);
+int ohci_rh_schedule(ohci_rh_t *instance, usb_transfer_batch_t *batch);
+int ohci_rh_interrupt(ohci_rh_t *instance);
 
 /** Get OHCI rh address.
Index: uspace/drv/bus/usb/uhci/hc.c
===================================================================
--- uspace/drv/bus/usb/uhci/hc.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/hc.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -94,8 +94,8 @@
 
 static void hc_init_hw(const hc_t *instance);
-static errno_t hc_init_mem_structures(hc_t *instance);
-static errno_t hc_init_transfer_lists(hc_t *instance);
-
-static errno_t hc_debug_checker(void *arg);
+static int hc_init_mem_structures(hc_t *instance);
+static int hc_init_transfer_lists(hc_t *instance);
+
+static int hc_debug_checker(void *arg);
 
 
@@ -103,9 +103,8 @@
  * @param[out] code IRQ code structure.
  * @param[in] hw_res Device's resources.
- * @param[out] irq
  *
  * @return Error code.
  */
-errno_t uhci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res, int *irq)
+int uhci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res)
 {
 	assert(code);
@@ -143,6 +142,5 @@
 	    RNGABSPTR(regs), RNGSZ(regs), hw_res->irqs.irqs[0]);
 
-	*irq = hw_res->irqs.irqs[0];
-	return EOK;
+	return hw_res->irqs.irqs[0];
 }
 
@@ -216,5 +214,5 @@
  * interrupt fibrils.
  */
-errno_t hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts)
+int hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts)
 {
 	assert(instance);
@@ -228,5 +226,5 @@
 
 	/* allow access to hc control registers */
-	errno_t ret = pio_enable_range(&hw_res->io_ranges.ranges[0],
+	int ret = pio_enable_range(&hw_res->io_ranges.ranges[0],
 	    (void **) &instance->registers);
 	if (ret != EOK) {
@@ -318,5 +316,5 @@
  *  - frame list page (needs to be one UHCI hw accessible 4K page)
  */
-errno_t hc_init_mem_structures(hc_t *instance)
+int hc_init_mem_structures(hc_t *instance)
 {
 	assert(instance);
@@ -330,5 +328,5 @@
 
 	/* Init transfer lists */
-	errno_t ret = hc_init_transfer_lists(instance);
+	int ret = hc_init_transfer_lists(instance);
 	if (ret != EOK) {
 		usb_log_error("Failed to initialize transfer lists.\n");
@@ -359,10 +357,10 @@
  * USB scheduling. Sets pointer table for quick access.
  */
-errno_t hc_init_transfer_lists(hc_t *instance)
+int hc_init_transfer_lists(hc_t *instance)
 {
 	assert(instance);
 #define SETUP_TRANSFER_LIST(type, name) \
 do { \
-	errno_t ret = transfer_list_init(&instance->transfers_##type, name); \
+	int ret = transfer_list_init(&instance->transfers_##type, name); \
 	if (ret != EOK) { \
 		usb_log_error("Failed to setup %s transfer list: %s.\n", \
@@ -411,5 +409,5 @@
 }
 
-errno_t uhci_hc_status(hcd_t *hcd, uint32_t *status)
+int uhci_hc_status(hcd_t *hcd, uint32_t *status)
 {
 	assert(hcd);
@@ -435,5 +433,5 @@
  * Checks for bandwidth availability and appends the batch to the proper queue.
  */
-errno_t uhci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch)
+int uhci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch)
 {
 	assert(hcd);
@@ -464,5 +462,5 @@
  * @return EOK (should never return)
  */
-errno_t hc_debug_checker(void *arg)
+int hc_debug_checker(void *arg)
 {
 	hc_t *instance = arg;
Index: uspace/drv/bus/usb/uhci/hc.h
===================================================================
--- uspace/drv/bus/usb/uhci/hc.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/hc.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -124,12 +124,12 @@
 } hc_t;
 
-extern errno_t hc_init(hc_t *, const hw_res_list_parsed_t *, bool);
+extern int hc_init(hc_t *, const hw_res_list_parsed_t *, bool);
 extern void hc_fini(hc_t *);
 
-extern errno_t uhci_hc_gen_irq_code(irq_code_t *, const hw_res_list_parsed_t *, int *);
+extern int uhci_hc_gen_irq_code(irq_code_t *, const hw_res_list_parsed_t *);
 
 extern void uhci_hc_interrupt(hcd_t *, uint32_t);
-extern errno_t uhci_hc_status(hcd_t *, uint32_t *);
-extern errno_t uhci_hc_schedule(hcd_t *, usb_transfer_batch_t *);
+extern int uhci_hc_status(hcd_t *, uint32_t *);
+extern int uhci_hc_schedule(hcd_t *, usb_transfer_batch_t *);
 
 #endif
Index: uspace/drv/bus/usb/uhci/hw_struct/transfer_descriptor.c
===================================================================
--- uspace/drv/bus/usb/uhci/hw_struct/transfer_descriptor.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/hw_struct/transfer_descriptor.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -119,5 +119,5 @@
  * @return Error code.
  */
-errno_t td_status(const td_t *instance)
+int td_status(const td_t *instance)
 {
 	assert(instance);
Index: uspace/drv/bus/usb/uhci/hw_struct/transfer_descriptor.h
===================================================================
--- uspace/drv/bus/usb/uhci/hw_struct/transfer_descriptor.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/hw_struct/transfer_descriptor.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -102,5 +102,5 @@
     const void *buffer, const td_t *next);
 
-errno_t td_status(const td_t *instance);
+int td_status(const td_t *instance);
 
 void td_print_status(const td_t *instance);
Index: uspace/drv/bus/usb/uhci/main.c
===================================================================
--- uspace/drv/bus/usb/uhci/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -49,7 +49,7 @@
 #define NAME "uhci"
 
-static errno_t uhci_driver_init(hcd_t *, const hw_res_list_parsed_t *, bool);
+static int uhci_driver_init(hcd_t *, const hw_res_list_parsed_t *, bool);
 static void uhci_driver_fini(hcd_t *);
-static errno_t disable_legacy(ddf_dev_t *);
+static int disable_legacy(ddf_dev_t *);
 
 static const ddf_hc_driver_t uhci_hc_driver = {
@@ -67,5 +67,5 @@
 };
 
-static errno_t uhci_driver_init(hcd_t *hcd, const hw_res_list_parsed_t *res, bool irq)
+static int uhci_driver_init(hcd_t *hcd, const hw_res_list_parsed_t *res, bool irq)
 {
 	assert(hcd);
@@ -76,5 +76,5 @@
 		return ENOMEM;
 
-	const errno_t ret = hc_init(instance, res, irq);
+	const int ret = hc_init(instance, res, irq);
 	if (ret == EOK) {
 		hcd_set_implementation(hcd, instance, &uhci_hc_driver.ops);
@@ -101,5 +101,5 @@
  * @return Error code.
  */
-static errno_t disable_legacy(ddf_dev_t *device)
+static int disable_legacy(ddf_dev_t *device)
 {
 	assert(device);
@@ -119,5 +119,5 @@
  * @return Error code.
  */
-static errno_t uhci_dev_add(ddf_dev_t *device)
+static int uhci_dev_add(ddf_dev_t *device)
 {
 	usb_log_debug2("uhci_dev_add() called\n");
Index: uspace/drv/bus/usb/uhci/transfer_list.c
===================================================================
--- uspace/drv/bus/usb/uhci/transfer_list.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/transfer_list.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,5 +56,5 @@
  * Allocates memory for internal qh_t structure.
  */
-errno_t transfer_list_init(transfer_list_t *instance, const char *name)
+int transfer_list_init(transfer_list_t *instance, const char *name)
 {
 	assert(instance);
Index: uspace/drv/bus/usb/uhci/transfer_list.h
===================================================================
--- uspace/drv/bus/usb/uhci/transfer_list.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/transfer_list.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -57,5 +57,5 @@
 
 void transfer_list_fini(transfer_list_t *instance);
-errno_t transfer_list_init(transfer_list_t *instance, const char *name);
+int transfer_list_init(transfer_list_t *instance, const char *name);
 void transfer_list_set_next(transfer_list_t *instance, transfer_list_t *next);
 void transfer_list_add_batch(
Index: uspace/drv/bus/usb/uhci/uhci_rh.c
===================================================================
--- uspace/drv/bus/usb/uhci/uhci_rh.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/uhci_rh.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -78,5 +78,5 @@
  * @return Error code, EOK on success.
  */
-errno_t uhci_rh_init(uhci_rh_t *instance, ioport16_t *ports, const char *name)
+int uhci_rh_init(uhci_rh_t *instance, ioport16_t *ports, const char *name)
 {
 	assert(instance);
@@ -98,5 +98,5 @@
  * not have to be.
  */
-errno_t uhci_rh_schedule(uhci_rh_t *instance, usb_transfer_batch_t *batch)
+int uhci_rh_schedule(uhci_rh_t *instance, usb_transfer_batch_t *batch)
 {
 	assert(instance);
@@ -193,5 +193,5 @@
  * it is usefull for debuging purposes only.
  */
-static errno_t req_get_port_state(usbvirt_device_t *device,
+static int req_get_port_state(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -228,5 +228,5 @@
  * @note: reset change status needs to be handled in sw.
  */
-static errno_t req_get_port_status(usbvirt_device_t *device,
+static int req_get_port_status(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -267,5 +267,5 @@
  * @return Error code.
  */
-static errno_t req_clear_port_feature(usbvirt_device_t *device,
+static int req_clear_port_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -340,5 +340,5 @@
  * @return Error code.
  */
-static errno_t req_set_port_feature(usbvirt_device_t *device,
+static int req_set_port_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -402,5 +402,5 @@
  * only need 1 byte.
  */
-static errno_t req_status_change_handler(usbvirt_device_t *device,
+static int req_status_change_handler(usbvirt_device_t *device,
     usb_endpoint_t endpoint, usb_transfer_type_t tr_type,
     void *buffer, size_t buffer_size, size_t *actual_size)
Index: uspace/drv/bus/usb/uhci/uhci_rh.h
===================================================================
--- uspace/drv/bus/usb/uhci/uhci_rh.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/uhci/uhci_rh.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,6 +56,6 @@
 } uhci_rh_t;
 
-errno_t uhci_rh_init(uhci_rh_t *instance, ioport16_t *ports, const char *name);
-errno_t uhci_rh_schedule(uhci_rh_t *instance, usb_transfer_batch_t *batch);
+int uhci_rh_init(uhci_rh_t *instance, ioport16_t *ports, const char *name);
+int uhci_rh_schedule(uhci_rh_t *instance, usb_transfer_batch_t *batch);
 
 /** Get UHCI rh address.
Index: uspace/drv/bus/usb/usbflbk/main.c
===================================================================
--- uspace/drv/bus/usb/usbflbk/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/usbflbk/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,5 +46,5 @@
  * @return Error code.
  */
-static errno_t usbfallback_device_add(usb_device_t *dev)
+static int usbfallback_device_add(usb_device_t *dev)
 {
 	usb_log_info("Pretending to control %s `%s'.\n",
@@ -59,5 +59,5 @@
  * @return Error code.
  */
-static errno_t usbfallback_device_gone(usb_device_t *dev)
+static int usbfallback_device_gone(usb_device_t *dev)
 {
 	assert(dev);
Index: uspace/drv/bus/usb/usbhub/port.c
===================================================================
--- uspace/drv/bus/usb/usbhub/port.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/usbhub/port.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,13 +54,13 @@
 };
 
-static errno_t usb_hub_port_device_gone(usb_hub_port_t *port, usb_hub_dev_t *hub);
+static int usb_hub_port_device_gone(usb_hub_port_t *port, usb_hub_dev_t *hub);
 static void usb_hub_port_reset_completed(usb_hub_port_t *port,
     usb_hub_dev_t *hub, usb_port_status_t status);
-static errno_t get_port_status(usb_hub_port_t *port, usb_port_status_t *status);
-static errno_t add_device_phase1_worker_fibril(void *arg);
-static errno_t create_add_device_fibril(usb_hub_port_t *port, usb_hub_dev_t *hub,
+static int get_port_status(usb_hub_port_t *port, usb_port_status_t *status);
+static int add_device_phase1_worker_fibril(void *arg);
+static int create_add_device_fibril(usb_hub_port_t *port, usb_hub_dev_t *hub,
     usb_speed_t speed);
 
-errno_t usb_hub_port_fini(usb_hub_port_t *port, usb_hub_dev_t *hub)
+int usb_hub_port_fini(usb_hub_port_t *port, usb_hub_dev_t *hub)
 {
 	assert(port);
@@ -77,5 +77,5 @@
  * @return Operation result
  */
-errno_t usb_hub_port_clear_feature(
+int usb_hub_port_clear_feature(
     usb_hub_port_t *port, usb_hub_class_feature_t feature)
 {
@@ -99,5 +99,5 @@
  * @return Operation result
  */
-errno_t usb_hub_port_set_feature(
+int usb_hub_port_set_feature(
     usb_hub_port_t *port, usb_hub_class_feature_t feature)
 {
@@ -143,5 +143,5 @@
 
 	usb_port_status_t status = 0;
-	const errno_t opResult = get_port_status(port, &status);
+	const int opResult = get_port_status(port, &status);
 	if (opResult != EOK) {
 		usb_log_error("(%p-%u): Failed to get port status: %s.\n", hub,
@@ -158,5 +158,5 @@
 
 		/* ACK the change */
-		const errno_t opResult = usb_hub_port_clear_feature(port,
+		const int opResult = usb_hub_port_clear_feature(port,
 		    USB_HUB_FEATURE_C_PORT_CONNECTION);
 		if (opResult != EOK) {
@@ -167,5 +167,5 @@
 
 		if (connected) {
-			const errno_t opResult = create_add_device_fibril(port, hub,
+			const int opResult = create_add_device_fibril(port, hub,
 			    usb_port_speed(status));
 			if (opResult != EOK) {
@@ -191,5 +191,5 @@
 		   port->port_number);
 		usb_hub_port_device_gone(port, hub);
-		const errno_t rc = usb_hub_port_clear_feature(port,
+		const int rc = usb_hub_port_clear_feature(port,
 		        USB_HUB_FEATURE_C_PORT_ENABLE);
 		if (rc != EOK) {
@@ -206,5 +206,5 @@
 		    " NOT happen as we do not support suspend state!", hub,
 		    port->port_number);
-		const errno_t rc = usb_hub_port_clear_feature(port,
+		const int rc = usb_hub_port_clear_feature(port,
 		        USB_HUB_FEATURE_C_PORT_SUSPEND);
 		if (rc != EOK) {
@@ -224,5 +224,5 @@
 		 * mode. USB system software is responsible for powering port
 		 * back on when the over-current condition is gone */
-		const errno_t rc = usb_hub_port_clear_feature(port,
+		const int rc = usb_hub_port_clear_feature(port,
 		    USB_HUB_FEATURE_C_PORT_OVER_CURRENT);
 		if (rc != EOK) {
@@ -232,5 +232,5 @@
 		}
 		if (!(status & ~USB_HUB_PORT_STATUS_OC)) {
-			const errno_t rc = usb_hub_port_set_feature(
+			const int rc = usb_hub_port_set_feature(
 			    port, USB_HUB_FEATURE_PORT_POWER);
 			if (rc != EOK) {
@@ -260,5 +260,5 @@
  * @param hub hub representation
  */
-errno_t usb_hub_port_device_gone(usb_hub_port_t *port, usb_hub_dev_t *hub)
+int usb_hub_port_device_gone(usb_hub_port_t *port, usb_hub_dev_t *hub)
 {
 	assert(port);
@@ -267,5 +267,5 @@
 	if (!exch)
 		return ENOMEM;
-	const errno_t rc = usb_device_remove(exch, port->port_number);
+	const int rc = usb_device_remove(exch, port->port_number);
 	usb_device_bus_exchange_end(exch);
 	if (rc == EOK)
@@ -304,5 +304,5 @@
 
 	/* Clear the port reset change. */
-	errno_t rc = usb_hub_port_clear_feature(port, USB_HUB_FEATURE_C_PORT_RESET);
+	int rc = usb_hub_port_clear_feature(port, USB_HUB_FEATURE_C_PORT_RESET);
 	if (rc != EOK) {
 		usb_log_error("(%p-%u): Failed to clear port reset change: %s.",
@@ -317,5 +317,5 @@
  * @return Error code.
  */
-static errno_t get_port_status(usb_hub_port_t *port, usb_port_status_t *status)
+static int get_port_status(usb_hub_port_t *port, usb_port_status_t *status)
 {
 	assert(port);
@@ -333,5 +333,5 @@
 	usb_port_status_t status_tmp;
 
-	const errno_t rc = usb_pipe_control_read(port->control_pipe,
+	const int rc = usb_pipe_control_read(port->control_pipe,
 	    &request, sizeof(usb_device_request_setup_packet_t),
 	    &status_tmp, sizeof(status_tmp), &recv_size);
@@ -351,8 +351,8 @@
 }
 
-static errno_t port_enable(usb_hub_port_t *port, usb_hub_dev_t *hub, bool enable)
+static int port_enable(usb_hub_port_t *port, usb_hub_dev_t *hub, bool enable)
 {
 	if (enable) {
-		errno_t rc =
+		int rc =
 		    usb_hub_port_set_feature(port, USB_HUB_FEATURE_PORT_RESET);
 		if (rc != EOK) {
@@ -383,10 +383,10 @@
  * @return 0 Always.
  */
-errno_t add_device_phase1_worker_fibril(void *arg)
+int add_device_phase1_worker_fibril(void *arg)
 {
 	struct add_device_phase1 *params = arg;
 	assert(params);
 
-	errno_t ret = EOK;
+	int ret = EOK;
 	usb_hub_dev_t *hub = params->hub;
 	usb_hub_port_t *port = params->port;
@@ -434,5 +434,5 @@
 		usb_log_error("(%p-%u): Failed to enumerate device: %s", hub,
 		    port->port_number, str_error(ret));
-		const errno_t ret = port_enable(port, hub, false);
+		const int ret = port_enable(port, hub, false);
 		if (ret != EOK) {
 			usb_log_warning("(%p-%u)Failed to disable port (%s), "
@@ -440,5 +440,5 @@
 			    port->port_number, str_error(ret));
 		} else {
-			const errno_t ret = usb_release_default_address(exch);
+			const int ret = usb_release_default_address(exch);
 			if (ret != EOK)
 				usb_log_warning("(%p-%u): Failed to release "
@@ -475,5 +475,5 @@
  * @return Error code.
  */
-static errno_t create_add_device_fibril(usb_hub_port_t *port, usb_hub_dev_t *hub,
+static int create_add_device_fibril(usb_hub_port_t *port, usb_hub_dev_t *hub,
     usb_speed_t speed)
 {
Index: uspace/drv/bus/usb/usbhub/port.h
===================================================================
--- uspace/drv/bus/usb/usbhub/port.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/usbhub/port.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -83,8 +83,8 @@
 }
 
-errno_t usb_hub_port_fini(usb_hub_port_t *port, usb_hub_dev_t *hub);
-errno_t usb_hub_port_clear_feature(
+int usb_hub_port_fini(usb_hub_port_t *port, usb_hub_dev_t *hub);
+int usb_hub_port_clear_feature(
     usb_hub_port_t *port, usb_hub_class_feature_t feature);
-errno_t usb_hub_port_set_feature(
+int usb_hub_port_set_feature(
     usb_hub_port_t *port, usb_hub_class_feature_t feature);
 void usb_hub_port_reset_fail(usb_hub_port_t *port);
